aboutsummaryrefslogtreecommitdiffstats
path: root/bin/get_current_weather
diff options
context:
space:
mode:
Diffstat (limited to 'bin/get_current_weather')
-rwxr-xr-xbin/get_current_weather11
1 files changed, 11 insertions, 0 deletions
diff --git a/bin/get_current_weather b/bin/get_current_weather
new file mode 100755
index 0000000..ad45c5f
--- /dev/null
+++ b/bin/get_current_weather
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Get the current weather in a given location.
+# @option --location! The city and state, e.g. San Francisco, CA
+
+main() {
+ curl "https://wttr.in/$(echo "$argc_location" | sed 's/ /+/g')?format=4&M"
+}
+
+eval "$(argc --argc-eval "$0" "$@")"